import { ViewBase } from '../../libappbase/viewbase';
import { AppMP } from '../appmp';
import { ButtonCapacitiesContextMenuItem } from '../actionbarpages/abp.data';
import { FormQuantityCapacities } from '../forms/form.quantitycapacities';

/**
 * Data > Capacities > Quantity view.
 */
export class ViewCapacitiesQuantity extends ViewBase {
  public readonly name = 'Quantity Capacities';
  public readonly viewPath = 'Data > Capacities > Quantity';

  public formQuantityCapacities = new FormQuantityCapacities();

  /**
   * Switch to Quantity Capacities view
   */
  public async switchTo(): Promise<void> {
    const appMP = AppMP.getInstance();

    await appMP.abpData.isVisible();
    await appMP.abpData.click();
    await appMP.abpData.btnCapacities.clickDropdownAndSelectMenu(ButtonCapacitiesContextMenuItem.Quantity.Name);

    // Wait until form present
    await this.formQuantityCapacities.waitUntilPresent();
  }
}
